Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class OfferOutHeaderInHeader
    Inherits BaseObject

    Private _OfferInHeader As OfferInHeader
    Private _OfferOutHeader As OfferOutHeader

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property OfferInHeader As OfferInHeader
        Get
            Return _OfferInHeader
        End Get
        Set(value As OfferInHeader)
            SetPropertyValue("OfferInHeader", _OfferInHeader, value)
        End Set
    End Property
    Property OfferOutHeader As OfferOutHeader
        Get
            Return _OfferOutHeader
        End Get
        Set(value As OfferOutHeader)
            SetPropertyValue("OfferOutHeader", _OfferOutHeader, value)
        End Set
    End Property
End Class
